using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
		
		public static void Main()
		{
CategoryBuilder.Create("Liquid Fire", "Flame Warfare", ModAPI.LoadSprite("thumb.png"));            
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Flamethrower"),
                    NameOverride = "Strahlrohr -LiquidFire",
                    DescriptionOverride = "Universal early model German flamethrower lance for use with all portable models. Uses spring loaded magnesium igniters held in place by an igniter fork that's fastened to a chain.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kleif.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Kleif.png");
						Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                    NameOverride = "Kleif M.1916 Canister -LiquidFire",
                    DescriptionOverride = "Mid-war canister filled with oil. Requires two soldiers to operate effectively. Weighs 68lbs.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Kleifthumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Kleiftank.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                    NameOverride = "Wechselapparat M.1917 'Wex' Canister -LiquidFire",
                    DescriptionOverride = "M.1917 Doughnut canister filled with oil. It was designed to replace the Kleif. It was the first German flamethrower that could be operated by a single person effectively. It's name is derived from the friction exchange-apparatus or 'Wechsel-apparat' used to disconnect the lance hose from the canister. Weighs 55lbs.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Wechsel.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Wextank.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                    NameOverride = "15L M.16 Canister -LiquidFire",
                    DescriptionOverride = "Mid-war improved Austrian flamethrower canister filled with oil. Was nicknamed the 'Sturmtruppen-Flammenwerfer' and could be operated by a single person. Weighs 60lbs",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("m16thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M16tank.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Flamethrower"),
                    NameOverride = "Austrian Strahlrohr -LiquidFire",
                    DescriptionOverride = "Improved M.16 Austrian lance used with small and medium flamethrowers. Has two levers to operate with. One to release the oil, the other to ignite an ignition cartridge. The wire frame around nozzle can also be rapped with oily rags if ignitors are spent",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("M.16.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M.16.png");
						Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                    NameOverride = "Grof Canister -LiquidFire",
                    DescriptionOverride = "M.1912 large static model canister filled with oil. Has a crew of 5 people. Weighs a staggering 650lbs full",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("grof12.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Grof.png");
						Instance.FixColliders();
					}
				}	
			);
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Flamethrower"),
                    NameOverride = "Grof Strahlrohr -LiquidFire",
                    DescriptionOverride = "Universal German large telescoping lance designed for static models.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Grof1912.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Grof1912.png");
						Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Flamethrower"),
                    NameOverride = "Schilt 3 bis Lance -LiquidFire",
                    DescriptionOverride = "Auto ignition lance with self-closing valve for the Schilt 3 bis. It is capable of firing bursts unlike its predecessor, the Schilt No.3. The self-closing valve was eventually copied by the Germans",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Schilt3bis.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Schilt3bis.png");
						Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                    NameOverride = "Schilt 3 bis Canister -LiquidFire",
                    DescriptionOverride = "Mid-war French flamethrower canister filled with oil. Operated by one person. Weighs 60 lbs",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("3bis.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Schilt3tank.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
					}	
				}		
			);
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Flamethrower"),
                    NameOverride = "Tilly-Goskin Lance -LiquidFire",
                    DescriptionOverride = "Russian elbow-joint flamethrower lance that is fixed to the canister. It was the only flamethrower lance designed with a special bayonet holder.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Goskin.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Goskin.png");
						Instance.FixColliders();
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Red Barrel"),
                    NameOverride = "Tilly-Goskin Canister -LiquidFire",
                    DescriptionOverride = "Russian mid-war flamethrower reminiscent of the British Lawrence Knapsack design. A handle atop the canister was used to pump compressed air into the tank for pressurisation. Operated by one person. Weighs 40 lbs",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("gos.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Goskintank.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 10f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 1;
					}	
				}		
			);
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "III. Garde Pionier", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Early war German flamethrower operator. Belongs to the III. Garde-Pionier-Bataillon.", //new item description
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Garde.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("GerEarly.png");
                        var flesh = ModAPI.LoadTexture("flesh layer.png");
                        var bone = ModAPI.LoadTexture("bone layer.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(181, 60, 78); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(49, 7, 9); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered 
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Totenkopf Pionier", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Late war German flamethrower operator. Belongs to the Garde-Reserve-Pionier-Regiment. Notoriously known as the Deaths-head Pioneers due to the skull and bones sleeve badge they wore.", //new item description
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Toten.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("GerLate.png");
                        var flesh = ModAPI.LoadTexture("flesh layer.png");
                        var bone = ModAPI.LoadTexture("bone layer.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(181, 60, 78); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(49, 7, 9); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered 
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Schilt Sapuer", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "French flamethrower operator. Belongs to a sapper unit known as a Schilt Company.", //new item description
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("Sapuer.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("FrenSap.png");
                        var flesh = ModAPI.LoadTexture("flesh layer.png");
                        var bone = ModAPI.LoadTexture("bone layer.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(181, 60, 78); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(49, 7, 9); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered 
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "KuK Flammenwerfer", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Early war Austrian flamethrower operator. Belongs to a Kaiserjager assault platoon.", //new item description
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("kuk.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("AustSap.png");
                        var flesh = ModAPI.LoadTexture("flesh layer.png");
                        var bone = ModAPI.LoadTexture("bone layer.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(181, 60, 78); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(49, 7, 9); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered 
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Kuk Flammenwerfer 'Nr.61' ", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Late war Austrian flamethrower operator. Belongs to Spezial-Sappeurbataillon Nr. 61. This flamethrower battalion was formed in 1917.", //new item description
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("kuk2.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("AustSapLate.png");
                        var flesh = ModAPI.LoadTexture("flesh layer.png");
                        var bone = ModAPI.LoadTexture("bone layer.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(181, 60, 78); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(49, 7, 9); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered 
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Russian Chemical Sapper", //new item name with a suffix to assure it is globally unique
                    DescriptionOverride = "Russian flamethrower operator. Belongs to a chemical sapper unit trained by the Flame-Chemical-Training-Battalion.", //new item description
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("russ.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        //load textures for each layer (see Human textures folder in this repository)
                        var skin = ModAPI.LoadTexture("RussSap.png");
                        var flesh = ModAPI.LoadTexture("flesh layer.png");
                        var bone = ModAPI.LoadTexture("bone layer.png");

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();

                        //use the helper function to set each texture
                        //parameters are as follows: 
                        //  skin texture, flesh texture, bone texture, sprite scale
                        //you can pass "null" to fall back to the original texture
                        person.SetBodyTextures(skin, flesh, bone, 1);

                        //change procedural damage colours if they interfere with your texture (rgb 0-255)
                        person.SetBruiseColor(181, 60, 78); //main bruise colour. purple-ish by default
                        person.SetSecondBruiseColor(154, 0, 7); //second bruise colour. red by default
                        person.SetThirdBruiseColor(49, 7, 9); // third bruise colour. light yellow by default
                        person.SetRottenColour(202, 199, 104); // rotten/zombie colour. light yellow/green by default
                        person.SetBloodColour(108, 0, 4); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered 
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Stahlhelm",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Issued by the German Army in 1916. Also used by Austria, Bulgaria, and the Ottomans during WWI.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Stahl1916.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Stahl1916.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Stosstrupp Stahlhelm",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "WWI German helmet painted with camouflage by stormtroopers.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("StahlStoss.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("StahlStoss.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Totenkopf Stahlhelm",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "WWI German helmet with a deaths head painted upon the front.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("StahlStoss2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("StahlStoss2.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Pionier Feldmutze M.1910 (Feldgrau)",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "M.1910 Feldmutze for use by pioneer units and other specialists.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Mutze.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mutze.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Pionier Feldmutze M.1910 (Feldgrun)",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "M.1910 Feldmutze for use by pioneer units and other specialists.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("MutzeGn.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MutzeGn.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Burlap Stahlhelm",
                    NameToOrderByOverride = "f",
                    DescriptionOverride = "Stahlhelm with a burlap cover used as camouflage and sometimes for training.",
                    CategoryOverride = ModAPI.FindCategory("Liquid Fire"),
                    ThumbnailOverride = ModAPI.LoadSprite("Gerlap.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Gerlap.png");
						Instance.FixColliders();
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 2f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 0;
                    }
                }
            );
		}
	}
}


